Subject: Re: [RFC PATCH 3/4] doc: sparse-checkout.adoc: fix asciidoc warnings

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Sep 2025 08:46:08 -0700

Ramsay Jones <[email-masked]> writes:

> Signed-off-by: Ramsay Jones <[email-masked]>
> ---
>  Documentation/technical/sparse-checkout.adoc | 38 ++++++++++----------
>  1 file changed, 19 insertions(+), 19 deletions(-)

The same comment about explaining your changes applies to this one.

> -=== Terminology ===
> +== Terminology ==

We've seen this in the previous step, too.  No comment, no objection.

> -=== Known bugs ===
> +== Known bugs ==

Ditto.

>  This list used to be a lot longer (see e.g. [1,2,3,4,5,6,7,8,9]), but we've
>  been working on it.
>  
> -0. Behavior A is not well supported in Git.  (Behavior B didn't used to
> +1. Behavior A is not well supported in Git.  (Behavior B didn't used to
>     be either, but was the easier of the two to implement.)
>
> -1. am and apply:
> +2. am and apply:
> ...  
> -6. Performance issues; see:
> +7. Performance issues; see:
>      https://lore.kernel.org/git/[email-masked]/

OK. They want our numbered list to be base-1, first item being
labeled with "1.", not "0.".  I think the majority of readers would
prefer that way while reading the source text (I thought markdown
formatters would renumber them anyway, but I probably am mistaken
here, like in many other things).  Curious that we have "." after
these numbers, though.